<script src="https://cdnjs.cloudflare.com/ajax/libs/anchor-js/4.2.2/anchor.min.js"></script>
<script>
anchors.add('h1,h2,h3,h4,h5,h6').remove('.page-heading > h1');
</script>

<script>
function toggleSidebar(item) {
  $('#site-sidebar').toggleClass('sidebar-hidden');
  if ($('#site-sidebar').width() != 300) {
    item.innerHTML = "&#x25B2"
  } else {
    item.innerHTML = "&#x25BC"
  }
}
</script>


<script>
    window.addEventListener("load", function(){
        // expand active menus and set the page focus id
        var current_section = window.location.pathname.split("/")[1];
        var current_url = window.location.href;
        var toggler = document.getElementsByClassName("nestedmenu");
        var triangle_width = 1.25*parseFloat(getComputedStyle(document.documentElement).fontSize);
        for (var i = 0; i < toggler.length; ++i) {
            var lis = toggler[i].getElementsByTagName("li");
            for(var j = 0; j < lis.length; ++j) {
                // add listener for pseudo-element (triangle) click to expand subsections
                if (lis[j].classList.contains("haschildren")) {
                    lis[j].addEventListener("click", function(e) {
                        if (e.clientX < e.target.getBoundingClientRect().left + triangle_width) {
                            e.target.classList.toggle("expanded");
                        }
                    });
                }
                // stop if we're in the wrong section
                var link = lis[j].firstElementChild.href;
                if (!link.includes(current_section)) {
                    continue;
                }
                // expand and activate section that matches current page
                if (current_url.includes(link)) {
                    lis[j].classList.add("expanded");
                    lis[j].classList.add("active");
                }
                // set id needed to calculate sidebar scroll position
                if (current_url.localeCompare(link) == 0) {
                    lis[j].id = "sidebar-page-focus";
                }
            }
        }

        // function to find the absolute top offset of an element
        function findPos(obj) {
            var curtop = 0;
            if (obj.offsetParent) {
                do {
                    curtop += obj.offsetTop;
                } while (obj = obj.offsetParent);
            }
            return curtop;
        }

        // set previously stored scroll position or scroll active nav menu entry into view
        var siteSidebar = $('#site-sidebar');
        if (localStorage.scrollPosition) {
            siteSidebar.scrollTop(localStorage.getItem("scrollPosition"));
        } else {
            var sidebarFocus = $('#sidebar-focus');
            if (sidebarFocus.length != 0) {
                var sidebarPageFocus = $('#sidebar-page-focus');
                if (sidebarPageFocus.length != 0) {
                    var scrollOffset = findPos(document.getElementById('sidebar-page-focus'));
                    if (scrollOffset > 0) {
                        siteSidebar.scrollTop(scrollOffset - 200);
                    }
                } else {
                    siteSidebar.scrollTop(sidebarFocus.position().top - 100);
                }
            }
        }
    });
    // stored scroll position on page unload
    window.addEventListener("unload", function() {
        var scrollPosition = $('#site-sidebar').scrollTop();
        localStorage.setItem("scrollPosition", scrollPosition);
    });
</script>